#849 queue error (RC = 48)

None
closed
nobody
none
1
2013-11-22
2009-10-14
LapYan Lau
No

After upgrade REXX from 3.2 to 4.0, my application hit an error.

AUTO.REX: 15:12:28 SYNTAX condition raised.
AUTO.REX: 15:12:28 SYNTAX: RC = 48 at line 9908
AUTO.REX: 15:12:28 SYNTAX: queue 'AUTO3001I 'ETOSR_Parameter' 'ETOSR_usType' 'ETOSR_Rcv.TA' 'ETOSR_Rcv.FSC' 'output_line / IC48519 - Add FSC bit to each message /
AUTO.REX: 15:12:28 SYNTAX: Failure in system service
AUTO.REX: 15:12:28 AAER0005E 15:12:28 RAVEN (AUTO.REX) exiting because of SYNTAX condition: Failure in system service

The application puts a lot data in the REXX queue. The program was running fine in REXX 3.2. Is there a setting in REXX 4.0 to increase the queue size?

Discussion

  • Mark Miesfeld

    Mark Miesfeld - 2010-08-10

    We need more to go on to do anything about this.

    The ideal thing to do is to attach a working, example program that demonstrates the problem. The simplier the better. If you suspect that putting a lot of data on the queue is the problem, write a simple program that puts a lot of data on the queue and see if you hit the problem.

    Once you attach an example program that causes the bug, we'll take a look at it.

     
  • Mark Miesfeld

    Mark Miesfeld - 2012-02-06

    Changing the priority on this because the submitter has not resonded to a request for an example program.

     
  • Rick McGuire

    Rick McGuire - 2013-11-22
    • status: open --> closed
    • Pending work items: --> none
    • Group: v4.0 --> None
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks